tinsert(CT_RABoss_ModsToLoad, "CT_RABossSarf_Thekal_OnLoad");

function CT_RABossSarf_Thekal_OnLoad()
	CT_RABoss_AddMod("Thekal", CT_RABOSSSARF_THEKAL_INFO, 1, CT_RABOSS_LOCATIONS_ZULGURUB);
	CT_RABoss_AddDropDownButton("Thekal", { CT_RABOSSSARF_THEKAL_LORKHAN_HEAL, CT_RABOSSSARF_THEKAL_LORKHAN_HEAL }, "CT_RABoss_ModInfo", "heal", "CT_RABoss_SetInfo");
	CT_RABoss_AddEvent("Thekal", "CHAT_MSG_SPELL_CREATURE_VS_CREATURE_BUFF", CT_RABossSarf_Thekal_EventHandler_Heal);
	CT_RABoss_AddEvent("Thekal", "CHAT_MSG_SPELL_CREATURE_VS_SELF_BUFF", CT_RABossSarf_Thekal_EventHandler_Heal);
	--CT_RABoss_AddEvent("Thekal", "CHAT_MSG_MONSTER_EMOTE", CT_RABossSarf_Thekal_EventHandler_Heal);
	CT_RABoss_SetVar("Thekal", "heal", true);
end


function CT_RABossSarf_Thekal_EventHandler_Heal()
	if ( not CT_RABoss_Mods["Thekal"] or not CT_RABoss_Mods["Thekal"]["status"] or not CT_RABoss_Mods["Thekal"].enabled ) then
		return;
	end
	if ( CT_RABoss_Mods["Thekal"]["heal"] ) and ( strfind(arg1, CT_RABOSSSARF_THEKAL_LORKHAN_HEAL_CAST_FIND) ) then
		CT_RABoss_Announce(CT_RABOSSSARF_THEKAL_LORKHAN_HEAL_MSG);
		CT_RABoss_PlaySound(2);
	end
end
